import { Worker as Worker$1 } from 'jest-worker';

type FarmOptions = ConstructorParameters<typeof Worker$1>[1];
declare class Worker {
    private _worker;
    constructor(workerPath: string, options: FarmOptions & {
        timeout?: number;
        onActivity?: () => void;
        onActivityAbort?: () => void;
        onRestart?: (method: string, args: any[], attempts: number) => void;
        logger?: Pick<typeof console, "error" | "info" | "warn">;
        exposedMethods: ReadonlyArray<string>;
        enableWorkerThreads?: boolean;
    });
    end(): ReturnType<Worker$1["end"]>;
    /**
     * Quietly end the worker if it exists
     */
    close(): void;
}

export { Worker };
